Problemy z custom components

Czesc, zauwazylem problemy z dwoma kompoentami po aktualizacji bramki do najnowszej stabilnej wersji:

W obydwu przypadkach w logach widze No address associated with hostname

Przykladowy log:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/urllib3/connectionpool.py”, line 603, in urlopen
chunked=chunked)
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/urllib3/connectionpool.py”, line 344, in _make_request
self._validate_conn(conn)
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/urllib3/connectionpool.py”, line 843, in _validate_conn
conn.connect()
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/urllib3/connection.py”, line 316, in connect
conn = self._new_conn()
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/urllib3/connection.py”, line 169, in _new_conn self, “Failed to establish a new connection: %s” % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0xe43545b0>: Failed to establish a new connection: [Errno 7] No address associated with hostname
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/requests/adapters.py”, line 449, in send
timeout=timeout
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/urllib3/connectionpool.py”, line 641, in urlopen _stacktrace=sys.exc_info()[2])
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/urllib3/util/retry.py”, line 399, in increment raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘eu-api.coolkit.cc’, port=8080): Max retries exceeded with url: /api/user/login (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0xe43545b0>: Failed to establish a new connecti
During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/homeassistant/setup.py”, line 172, in _async_setup_component
hass, processed_config
File “/data/data/pl.sviete.dom/files/home/AIS/custom_components/sonoff/init.py”, line 53, in async_setup
hass.data[DOMAIN] = Sonoff(hass, config)
File “/data/data/pl.sviete.dom/files/home/AIS/custom_components/sonoff/init.py”, line 100, in init
self.do_login()
File “/data/data/pl.sviete.dom/files/home/AIS/custom_components/sonoff/init.py”, line 176, in do_login
headers=self._headers, json=app_details)
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/requests/api.py”, line 116, in post
return request(‘post’, url, data=data, json=json, **kwargs)
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/requests/api.py”, line 60, in request
return session.request(method=method, url=url, **kwargs)
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/requests/sessions.py”, line 533, in request
resp = self.send(prep, **send_kwargs)
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/requests/sessions.py”, line 646, in send
r = adapter.send(request, **kwargs)
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/requests/adapters.py”, line 516, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host=‘eu-api.coolkit.cc’, port=8080): Max retries exceeded with url: /api/user/login (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0xe43545b0>: Failed to establish a new conne2020-01-17 10:41:40 ERROR (SyncWorker_8) [homeassistant.components.ais_cloud] Can’t connect to AIS Cloud!!! https://powiedz.co/ords/dom/dom/audio_type?nature=Radio
2020-01-17 10:41:40 ERROR (SyncWorker_8) [homeassistant.components.ais_cloud] Can’t connect to AIS Cloud!!! https://powiedz.co/ords/dom/dom/audio_type?nature=Podcast
2020-01-17 10:41:40 ERROR (SyncWorker_8) [homeassistant.components.ais_cloud] Can’t connect to AIS Cloud!!! https://powiedz.co/ords/dom/dom/audio_type?nature=News
2020-01-17 10:41:41 ERROR (SyncWorker_1) [homeassistant.components.ais_drives_service] Error HTTPSConnectionPool(host=‘powiedz.co’, port=443): Max retries exceeded with url: /ords/dom/dom/key?service=gdrive_client_id (Caused by NewConnectionError(’<urllib3.connection.Ver2020-01-17 10:41:41 ERROR (MainThread) [homeassistant.setup] Error during setup of component tuya
Traceback (most recent call last):
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/urllib3/connection.py”, line 160, in _new_conn
(self._dns_host, self.port), self.timeout, **extra_kw)
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/site-packages/urllib3/util/connection.py”, line 57, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File “/data/data/pl.sviete.dom/files/usr/lib/python3.7/socket.py”, line 748, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 7] No address associated with hostname

@admin.ai-speaker jakies pomysly?

U mnie Tuya już od poprzedniej wersji nie jest w stanie przekazać zwrotnie statusu do HA (mogę włączyć żarówkę, ale już wyłączyć się nie da). Podobno już to poprawili: https://github.com/home-assistant/home-assistant/issues/25163#issuecomment-568228648 więc w kolejnej wersji powinno być lepiej.

Error doing job: Task exception was never retrieved
Traceback (most recent call last):
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.6/site-packages/homeassistant/helpers/entity.py", line 286, in async_update_ha_state
    self._async_write_ha_state()
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.6/site-packages/homeassistant/helpers/entity.py", line 327, in _async_write_ha_state
    attr.update(self.state_attributes or {})
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.6/site-packages/homeassistant/components/light/__init__.py", line 418, in state_attributes
    data[ATTR_BRIGHTNESS] = self.brightness
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.6/site-packages/homeassistant/components/tuya/light.py", line 43, in brightness
    if self.tuya.brightness() is None:
  File "/data/data/pl.sviete.dom/files/home/AIS/deps/lib/python3.6/site-packages/tuyaha/devices/light.py", line 16, in brightness
    brightness = int(self.data.get('color').get('brightness') * 255 / 100)
AttributeError: 'NoneType' object has no attribute 'get'

Sonoffa z ewelinkiem sprawdzę, ale to niestety na razie tylko custom component, więc może być różnie ze wsparciem autora.

PS: Generalnie tak to jest tymi urządzeniami w chińskich chmurach - chyba już czas przeflashować je na tasmotę by AIS :wink:

Mi do ostatniej aktualizacji AIS customer component do sonoffa dzialal bez problemu :slight_smile: Podobnie zreszta z Tuya

To się nie kwalifikuje pod żadną rekresje - komponenty custom nie są wspierane i nikt nie zagwarantuje ich działania.

Do nie idzie przez żadne oficjalne api, w sumie to jest to zwykły hack i może w każdej chwili przestać działać.

Proszę tego nawet nie zgłaszać bo i tak nikt tego nie poprawi.

Jeżeli chce się mieć działający system to trzeba przepiąć się na MQTT loklane.

Nie do konca sie zgodze. Tuya to oficjalny komponent HA.
Poniewaz Tuya popsula sie zaraz po aktualizacji bramki do nowszej wersji, to stawiam na regresje w sofcie AIS. Jako ze sonoff ma te same objawy co tuya i popsul sie w tym samym czasie, to zakladam ze sie ‘przypadkiem’ naprawi gdy zacznie dzialac tuya :slight_smile:

Chyba ze zespol AIS nie gwarantuje poprawnego dzialania oficjalnych komponentow HA. Moge to przyjac do wiadomosci (aczkolwiek moge sie nie zgadzac :wink: ) ale wtedy nalezaloby zmienic tytul watku na ‘komponenty HA’. Oraz napisac w FAQu iz zespol AIS nie gwarantuje poprawnej integracji oficjalnch komponentow AIS :slight_smile:

Aaa tak, przepraszam zagalopowanie z mojej strony :blush:

faktycznie Tuya jest w HA i jest na bazie pakietu tuyaha==0.0.5

ten pakiet tuyaha==0.0.5 jest na bazie porzuconego pakietu (abandoned package) który zrobiła kiedyś Tuya inc

to nie są za mocne podstawy niestety, ale ok - dobrze, że działa jeszcze :slight_smile:

Generalnie takich tematów będzie coraz więcej, producent coś sprzedaje potem przestaje wspierać bo minęły 2 lata i mu się nie opłaca/nie chce utrzymywać. Wg mnie tylko lokalne działanie daje nam gwarancję, że będzie działało OK. Taka jest idea tego projektu.
:wave:

Hej! @badzio
wydaliśmy wersję 0.104.2b0 która zawiera Home Assistant w wersji 0.104.2
jest tam poprawka do Tuya, ale nie wiem czy to rozwiązuje te problemy o których pisałeś

Przepraszam za cisze przez ostatnie dni, ale tydzien urlopu + wyjazd sluzbowy = brak dostepu do bramki AIS.

Mam wersje 0.103.8 (moja bramka nie widzi aktualizacji do wersji 0.104 - domyslam sie ze jest to wersja beta) - ale zarowno Tuya jak i custom component sonoff dzialaja poprawnie :slight_smile: